gnutls_x509_crq_get_dn_oid(3)

NAME
gnutls_x509_crq_get_dn_oid - This function returns the Certificate request subject's distinguished name OIDs

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_dn_oid(gnutls_x509_crq_t crq, int indx, void * oid, size_t * sizeof_oid);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t structure

int indx
    Specifies which DN OID to send. Use zero to get the first one.

void * oid
    a pointer to a structure to hold the name (may be null)

size_t * sizeof_oid
    initially holds the size of oid

DESCRIPTION
This function will extract the requested OID of the name of the Certificate request subject, specified by the given index. If oid is null then only the size will be filled.

RETURNS
GNUTLS_E_SHORT_MEMORY_BUFFER if the provided buffer is not long enough, and in that case the *sizeof_oid will be updated with the required size. On success 0 is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.